Package org.h2gis.functions.spatial.convert

## Class ST_Force4D

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_Force4D

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_Force4D
    extends org.h2gis.api.DeterministicScalarFunction

Forces a Geometry into 4D mode by returning a copy with z set to 0 (other z-measure are left untouched). M set to 0 (other z-measure are left untouched).

Author:
  Erwan Bocher

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_Force4D()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static org.locationtech.jts.geom.GeometryCollection` `convert​(org.locationtech.jts.geom.GeometryCollection gc, double zValue, double mValue)` Force the dimension of the GeometryCollection and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LinearRing` `convert​(org.locationtech.jts.geom.LinearRing linearRing, double zValue, double mValue)` Force the dimension of the LinearRing and update correctly the coordinate dimension
`static org.locationtech.jts.geom.LineString` `convert​(org.locationtech.jts.geom.LineString lineString, double zValue, double mValue)` Force the dimension of the LineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiLineString` `convert​(org.locationtech.jts.geom.MultiLineString multiLineString, double zValue, double mValue)` Force the dimension of the MultiLineString and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiPoint` `convert​(org.locationtech.jts.geom.MultiPoint mp, double zValue, double mValue)` Force the dimension of the MultiPoint and update correctly the coordinate dimension
`static org.locationtech.jts.geom.MultiPolygon` `convert​(org.locationtech.jts.geom.MultiPolygon multiPolygon, double zValue, double mValue)` Force the dimension of the MultiPolygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Polygon` `convert​(org.locationtech.jts.geom.Polygon polygon, double zValue, double mValue)` Force the dimension of the Polygon and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Geometry` `force​(org.locationtech.jts.geom.Geometry geom, double zValue, double mValue)` Force the dimension of the geometry and update correctly the coordinate dimension
`static org.locationtech.jts.geom.Geometry` `force4D​(org.locationtech.jts.geom.Geometry geom)` Converts a geometry to XYZM.
`static org.locationtech.jts.geom.Geometry` `force4D​(org.locationtech.jts.geom.Geometry geom, double zValue, double mValue)` Converts a geometry to XYZM.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_Force4D

    public ST_Force4D()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### force4D

    public static org.locationtech.jts.geom.Geometry force4D​(org.locationtech.jts.geom.Geometry geom)

Converts a geometry to XYZM. If a geometry has no Z or M measure, then a 0 is tacked on.

Parameters:
  `geom` -
Returns:

#### force4D

    public static org.locationtech.jts.geom.Geometry force4D​(org.locationtech.jts.geom.Geometry geom,
                                                             double zValue,
                                                             double mValue)

Converts a geometry to XYZM. If a geometry has no Z or M measure, then a 0 is tacked on.

Parameters:
  `geom` -
Returns:

#### force

    public static org.locationtech.jts.geom.Geometry force​(org.locationtech.jts.geom.Geometry geom,
                                                           double zValue,
                                                           double mValue)

Force the dimension of the geometry and update correctly the coordinate dimension

Parameters:
  `geom` - the input geometry
  `zValue` - to update
  `mValue` - to update
Returns:

#### convert

    public static org.locationtech.jts.geom.MultiPoint convert​(org.locationtech.jts.geom.MultiPoint mp,
                                                               double zValue,
                                                               double mValue)

Force the dimension of the MultiPoint and update correctly the coordinate dimension

Parameters:
  `mp` -
  `zValue` -
  `mValue` -
Returns:

#### convert

    public static org.locationtech.jts.geom.GeometryCollection convert​(org.locationtech.jts.geom.GeometryCollection gc,
                                                                       double zValue,
                                                                       double mValue)

Force the dimension of the GeometryCollection and update correctly the coordinate dimension

Parameters:
  `gc` -
  `zValue` -
  `mValue` -
Returns:

#### convert

    public static org.locationtech.jts.geom.MultiPolygon convert​(org.locationtech.jts.geom.MultiPolygon multiPolygon,
                                                                 double zValue,
                                                                 double mValue)

Force the dimension of the MultiPolygon and update correctly the coordinate dimension

Parameters:
  `multiPolygon` -
  `zValue` -
  `mValue` -
Returns:

#### convert

    public static org.locationtech.jts.geom.MultiLineString convert​(org.locationtech.jts.geom.MultiLineString multiLineString,
                                                                    double zValue,
                                                                    double mValue)

Force the dimension of the MultiLineString and update correctly the coordinate dimension

Parameters:
  `multiLineString` -
  `zValue` -
  `mValue` -
Returns:

#### convert

    public static org.locationtech.jts.geom.Polygon convert​(org.locationtech.jts.geom.Polygon polygon,
                                                            double zValue,
                                                            double mValue)

Force the dimension of the Polygon and update correctly the coordinate dimension

Parameters:
  `polygon` -
  `zValue` -
  `mValue` -
Returns:

#### convert

    public static org.locationtech.jts.geom.LineString convert​(org.locationtech.jts.geom.LineString lineString,
                                                               double zValue,
                                                               double mValue)

Force the dimension of the LineString and update correctly the coordinate dimension

Parameters:
  `lineString` -
  `zValue` -
  `mValue` -
Returns:

#### convert

    public static org.locationtech.jts.geom.LinearRing convert​(org.locationtech.jts.geom.LinearRing linearRing,
                                                               double zValue,
                                                               double mValue)

Force the dimension of the LinearRing and update correctly the coordinate dimension

Parameters:
  `linearRing` -
  `zValue` -
  `mValue` -
Returns: